Subject: [TLS] Suggestions regarding a few definitions in the ESNI draft

From: Rob Sayre <[email-masked]>
Date: Fri, 25 Oct 2019 18:19:08 -0700

Hi,

I filed a few issues on some definitions in the ESNI draft.

"Zx = HKDF-Extract(0, Z)"
https://github.com/tlswg/draft-ietf-tls-esni/issues/188

"AEAD-Encrypt"
https://github.com/tlswg/draft-ietf-tls-esni/issues/189

Given that there are open source implementations to test against, I don't
think these issues are critical right now, but they do seem imprecise at
least. As the draft firms up, it might be nice to develop some test vectors
for each step of each algorithm, so implementors can tell where things go
wrong as they're developing. The ESNI process ended up being a lot more
involved than I expected (but that is not a criticism).

thanks,
Rob